Name: mountpy
Version: 0.6
Release: alt0.M24.1

Summary: mountpy is a python script for quick automatic mounting and umounting of external filesystems, especially suited for USB removable devices
License: GPL
Group: System/Base
Source: %{name}_%version.tar.gz
Source1: %name.control

BuildRequires: gcc rpm-build-compat python-base rpm-build-python

%description
mountpy is a python script for quick automatic mounting and umounting of
external filesystems, especially suited for USB removable devices.
mountpy is developped on linux, and is meant for modern linux systems.
However, there is not much code linux-specific, so in theory it could
work on any POSIX system with similar semantics of setuid(2), you just
have to modify mount options.

%prep
%setup

%build
%__make

%install
%__mkdir_p %buildroot%_bindir %buildroot%_man1dir %buildroot%_sysconfdir %buildroot%_controldir
%make install DESTDIR=%buildroot
%__subst 's|man1/u||' *.1
%__cp -v *.1 %buildroot%_man1dir
%__install %SOURCE1 %buildroot%_controldir/%name

%pre
[ $1 -eq 1 ] || %pre_control %name

%post
[ $1 -eq 1 ] || %post_control %name

%files
%_controldir/%name
%config(noreplace) %_sysconfdir/%name.conf
%_man1dir/*
%_bindir/*
%attr(700,root,root) %_bindir/%name
%doc README TODO

%changelog
* Fri Jun 30 2006 Evgenii Terechkov <evg@altlinux.ru> 0.6-alt0.M24.1
- Initial build for ALT
